### Class

# Gsk TextureScaleNode

since: 4.10

#### Description [src]

    final class Gsk.TextureScaleNode : GObject.TypeInstance
    {
      /* No available fields */
    }

A render node for a `GdkTexture`, with control over scaling.

Available since: 4.10

#### Ancestors

- GskRenderNode

#### Constructors

###### gsk_texture_scale_node_new

Creates a node that scales the texture to the size given by the bounds using the filter and then places it at the bounds’ position.

since: 4.10

#### Instance methods

###### gsk_texture_scale_node_get_filter

Retrieves the `GskScalingFilter` used when creating this `GskRenderNode`.

since: 4.10

###### gsk_texture_scale_node_get_texture

Retrieves the `GdkTexture` used when creating this `GskRenderNode`.

since: 4.10

##### Methods inherited from GskRenderNode (8)

###### gsk_render_node_draw

Draws the contents of a render node on a cairo context.

###### gsk_render_node_get_bounds

Retrieves the boundaries of the `node`.

###### gsk_render_node_get_node_type

Returns the type of the render node.

###### gsk_render_node_get_opaque_rect

Gets an opaque rectangle inside the node that GTK can determine to be fully opaque.

since: 4.16

###### gsk_render_node_ref

Acquires a reference on the given `GskRenderNode`.

###### gsk_render_node_serialize

Serializes the `node` for later deserialization via gsk_render_node_deserialize(). No guarantees are made about the format used other than that the same version of GTK will be able to deserialize the result of a call to `gsk_render_node_serialize()` and `gsk_render_node_deserialize()` will correctly reject files it cannot open that were created with previous versions of GTK.

###### gsk_render_node_unref

Releases a reference on the given `GskRenderNode`.

###### gsk_render_node_write_to_file

This function is equivalent to calling `gsk_render_node_serialize()` followed by `g_file_set_contents()`.